View Issue Details

IDProjectCategoryView StatusLast Update
0004160ScribusPlug-inspublic2007-01-05 22:04
Reporterchristoph_s Assigned Toplinnell 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSLinuxOS VersionSuSE 10.0, 10.1
Product Version1.3.3.3 
Target VersionFixed in Version 
Summary0004160: Barcode generator doesn't work correctly
DescriptionIf a correct code is entered into the field in the barcode dialog, it's impossible to select the option "Include text in the barcode". Scribus always complains about an incorrect barcode, even if it is correct. It does, however, insert the code if the option is deselected.
Steps To ReproduceChoos a valid code, e.g. an ISBN from a book, insert it.
TagsNo tags attached.
Patch

Relationships

related to 0005071 closedsubik barcode generator reports "code incomplete" whenever insert text in barcode is active 

Activities

subik

2006-08-22 13:32

manager   ~0012263

Christoph, scribus uses external backend for BCD generator.
You can find it at:
http://www.terryburton.co.uk/barcodewriter/

Can you try your ISBN code there - in web application, please? We could see if
it's a bug in scribus or in backend (it has higher propability as Scribus
calls only something like newPS = cratePSfromCode(foo)).

christoph_s

2006-08-22 13:34

administrator   ~0012264

I have tried there. Everything works fine, except that Scribus can't import the resulting EPS/PS files.

2006-08-22 13:36

 

barcode.eps (13,356 bytes)

2006-08-22 13:36

 

barcode.ps (13,343 bytes)

subik

2006-08-22 14:04

manager   ~0012265

hmmm, can you post some buggy isdn, please? All I can access here at office work fine

christoph_s

2006-08-22 14:09

administrator   ~0012266

Don't know how to create a buggy ISBN. The one I need to insert in a document, a real one, is: 3-935279-38-8

subik

2006-08-22 14:28

manager   ~0012267

of course I've ment real isbn, sorry and thanks.

anyway - I can create this isbn with no problems (1.3.3.3, 1.3.3.4cvs, 1.3.4cvs). Strange. Do you have any output when you run scribus from console? What version of ghostscript do you have?

christoph_s

2006-08-22 14:32

administrator   ~0012268

gs version is 8.54, no output from the console. The "Ok" button is simply greyed out, and I see the comment "Barcode incomplete" -- with any code and any value.

2006-08-23 13:55

 

bcode-subik.ps (90,889 bytes)

subik

2006-08-23 13:58

manager   ~0012277

Last edited: 2006-08-23 14:00

Christoph, can you please test "gs bcode-subik.ps", please? What's output?

This file is created by scribus as ~/.scribus/bcode.ps when you keep BCD dialog opened. Can you go to this directory and upload your file (after choosing isbn and inserting the code, of course), please?

christoph_s

2006-08-23 14:51

administrator   ~0012280

Petr, could you please explain more precisely what you expect me to do?

subik

2006-08-23 15:13

manager   ~0012281

sure - 2 tasks ;)

1)
1.1) download bcode-subik.ps from this attached files list
1.2) run this command in console: gs bcode-subik.ps
1.3) watch and post output od this command

2)
2.1) run scribus, new doc, open BCD dialog
2.2) choose ISBN and enter your isbn code - but don't close the dialog
2.3) copy ~/.scribus/bcode.ps somewhere
2.4) process task no 1 on this file too
2.5) collect your bcode.ps and output of the gs run and upload it here

;)

christoph_s

2006-08-23 16:29

administrator   ~0012283

OK:

output of gs bcode-subik.ps:

AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file n019003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Didn't find this font on the system!
Substituting font Courier for NimbusSanL-Regu.
Can't find (or can't open) font file n022003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in findfont
Operand stack:
   (9) -10 -4.0 12.0 Helvetica Font Helvetica 685857 Helvetica
 --nostringval-- Helvetica NimbusSanL-Regu Courier NimbusMonL-Regu
Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-
- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa
lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri
ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva
l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval--
--nostringval-- --nostringval-- --nostringval-- %array_continue --nostri
ngval-- --nostringval-- 5 4 %oparray_pop 6 4 %oparray_pop --nost
ringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-
- false 1 %stopped_push 9 5 %oparray_pop --nostringval-- --nostr
ingval-- --nostringval-- 1 -1 1 --nostringval-- %for_neg_int_continu
e
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:97/200(L)-- --dict:40
/45(L)-- --dict:17/17(ro)(G)-- --dict:1118/1686(ro)(G)--
Current allocation mode is local
Last OS error: 2
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1
christoph@linux-ld2f:~> gs bcode.ps
AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Error: /stackunderflow in --pop--
Operand stack:

Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-
- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa
lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri
ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva
l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval--
--nostringval-- 2 1 12 --nostringval-- %for_pos_int_continue --nostr
ingval--
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:96/200(L)-- --dict:23
/29(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 82874
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1
christoph@linux-ld2f:~> gs bcode-subik.ps
AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file n019003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Didn't find this font on the system!
Substituting font Courier for NimbusSanL-Regu.
Can't find (or can't open) font file n022003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in findfont
Operand stack:
   (9) -10 -4.0 12.0 Helvetica Font Helvetica 685857 Helvetica --nostringval-- Helvetica NimbusSanL-Regu Courier NimbusMonL-Regu
Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval- - 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- --nostringval-- %array_continue --nostri ngval-- --nostringval-- 5 4 %oparray_pop 6 4 %oparray_pop --nost ringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval- - false 1 %stopped_push 9 5 %oparray_pop --nostringval-- --nostr ingval-- --nostringval-- 1 -1 1 --nostringval-- %for_neg_int_continu e
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:97/200(L)-- --dict:40 /45(L)-- --dict:17/17(ro)(G)-- --dict:1118/1686(ro)(G)--
Current allocation mode is local
Last OS error: 2
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1

christoph_s

2006-08-23 16:30

administrator   ~0012284

Output of gs bcode.ps:

AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file n019003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Didn't find this font on the system!
Substituting font Courier for NimbusSanL-Regu.
Can't find (or can't open) font file n022003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in findfont
Operand stack:
   (9) -10 -4.0 12.0 Helvetica Font Helvetica 685857 Helvetica
 --nostringval-- Helvetica NimbusSanL-Regu Courier NimbusMonL-Regu
Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-
- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa
lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri
ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva
l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval--
--nostringval-- --nostringval-- --nostringval-- %array_continue --nostri
ngval-- --nostringval-- 5 4 %oparray_pop 6 4 %oparray_pop --nost
ringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-
- false 1 %stopped_push 9 5 %oparray_pop --nostringval-- --nostr
ingval-- --nostringval-- 1 -1 1 --nostringval-- %for_neg_int_continu
e
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:97/200(L)-- --dict:40
/45(L)-- --dict:17/17(ro)(G)-- --dict:1118/1686(ro)(G)--
Current allocation mode is local
Last OS error: 2
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1
christoph@linux-ld2f:~> gs bcode.ps
AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Error: /stackunderflow in --pop--
Operand stack:

Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-
- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa
lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri
ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva
l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval--
--nostringval-- 2 1 12 --nostringval-- %for_pos_int_continue --nostr
ingval--
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:96/200(L)-- --dict:23
/29(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 82874
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1
christoph@linux-ld2f:~> gs bcode-subik.ps
AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file n019003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusSanL-Re
gu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Didn't find this font on the system!
Substituting font Courier for NimbusSanL-Regu.
Can't find (or can't open) font file n022003l.pfb.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /home/christoph/Resource/Font/NimbusMonL-Re
gu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in findfont
Operand stack:
   (9) -10 -4.0 12.0 Helvetica Font Helvetica 685857 Helvetica --nostringval-- Helvetica NimbusSanL-Regu Courier NimbusMonL-Regu
Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval- - 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostri ngval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringva l-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- --nostringval-- %array_continue --nostri ngval-- --nostringval-- 5 4 %oparray_pop 6 4 %oparray_pop --nost ringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval- - false 1 %stopped_push 9 5 %oparray_pop --nostringval-- --nostr ingval-- --nostringval-- 1 -1 1 --nostringval-- %for_neg_int_continu e
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:97/200(L)-- --dict:40 /45(L)-- --dict:17/17(ro)(G)-- --dict:1118/1686(ro)(G)--
Current allocation mode is local
Last OS error: 2
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1
christoph@linux-ld2f:~> gs bcode.ps
AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Error: /stackunderflow in --pop--
Operand stack:

Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- false 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop --nostringval-- 1 3 %oparray_pop 1 3 %oparray_pop .runexec2 --nostringval-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval-- 2 1 12 --nostringval-- %for_pos_int_continue --nostringval--
Dictionary stack:
   --dict:1118/1686(ro)(G)-- --dict:0/20(G)-- --dict:96/200(L)-- --dict:23/29(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 82874
AFPL Ghostscript 8.54: Unrecoverable error, exit code 1

subik

2006-08-25 09:03

manager   ~0012301

Christoph, are you sure your installation of Ghostscript is correct? Do you have requested fonts in proper places with right permissions?

I've tested all ps files listed here with the 8.5x GS version with no problem.

christoph_s

2006-08-25 15:42

administrator   ~0012305

Petr,

"Christoph, are you sure your installation of Ghostscript is correct?"

Quite sure. It works, except for the barcode generator with text.

"Do you have requested fonts in proper places with right permissions?"

Yes, I think so. Scribus finds and can use the fonts mentioned in the output of gs.

plinnell

2006-09-04 14:36

viewer   ~0012430

Last edited: 2006-09-04 14:37

Christoph,

In your last posting with the output, below is the key"

...
Unable to substitute for font.
Error: /invalidfont in findfont
Operand stack:...

This means GS cannot find its fonts. You will need to generate and then set a GS_LIB variable to get it to read Fontmap.gs

Hints:

http://docs.scribus.net/index.php?lang=en&page=gsfont

subik

2006-09-20 12:34

manager   ~0012578

Christoph, can you check it, please?

christoph_s

2006-09-21 16:45

administrator   ~0012587

I'm not sure I understood the inbstructions in the docs. However, there IS a Fontmap.gs file in /usr/local/share/ghostscript/8.54/lib, so gs should be able to find the fonts. I'll attach the file for further research if necessary.

2006-09-21 16:46

 

Fontmap.GS (13,527 bytes)

subik

2006-10-30 12:20

manager   ~0013188

Christoph, any luck with your paths?

christoph_s

2006-10-30 21:29

administrator   ~0013200

The paths seem to be ok, according the console output from gs -h:

AFPL Ghostscript 8.54 (2006-05-17)
Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
Usage: gs [switches] [file1.ps file2.ps ...]
Most frequently used switches: (you can use # in place of =)
 -dNOPAUSE no pause after page | -q `quiet', fewer messages
 -g<width>x<height> page size in pixels | -r<res> pixels/inch resolution
 -sDEVICE=<devname> select device | -dBATCH exit after last file
 -sOutputFile=<file> select output file: - for stdout, |command for pipe,
                                         embed %d or %ld for page #
Input formats: PostScript PostScriptLevel1 PostScriptLevel2 PostScriptLevel3 PDF
Default output device: x11
Available devices:
   bbox bit bitcmyk bitrgb bj10e bj200 bjc600 bjc800 bmp16 bmp16m bmp256
   bmp32b bmpgray bmpmono bmpsep1 bmpsep8 cdeskjet cdj550 cdjcolor cdjmono
   cljet5 cljet5c deskjet devicen djet500 epswrite faxg3 faxg32d faxg4 ijs
   jpeg jpeggray laserjet lj5gray lj5mono ljet2p ljet3 ljet3d ljet4 ljet4d
   ljetplus nullpage pbm pbmraw pcx16 pcx24b pcx256 pcxcmyk pcxgray pcxmono
   pdfwrite pgm pgmraw pgnm pgnmraw pj pjxl pjxl300 pkm pkmraw pksm pksmraw
   png16 png16m png256 png48 pngalpha pnggray pngmono pnm pnmraw ppm ppmraw
   ps2write psdcmyk psdrgb psgray psmono psrgb pswrite pxlcolor pxlmono
   spotcmyk tiff12nc tiff24nc tiff32nc tiffcrle tiffg3 tiffg32d tiffg4
   tiffgray tifflzw tiffpack tiffsep uniprint x11 x11alpha x11cmyk x11gray2
   x11gray4 x11mono xcf
Search path:
   . : /home/christoph/.fonts : /usr/local/share/ghostscript/8.54/lib :
   /usr/local/share/ghostscript/8.54/Resource :
   /usr/local/share/ghostscript/fonts
For more information, see /usr/local/share/ghostscript/8.54/doc/Use.htm.
Report bugs to bug-gs@ghostscript.com, using the form in Bug-form.htm.


No error message.

plinnell

2006-10-31 15:39

viewer   ~0013211

Christoph,

Fontmap.gs also needs those paths.. that was the GS doc was trying to explain.. I know its a PITA. Hopefully, the next major rev of GS will eliminate this with fontconfig support.

plinnell

2007-01-04 09:44

viewer   ~0014485

Christoph, As a possible fix for you, switch the gs in preferences to /usr/bin/gs which will use gs 8.15 shipped with Suse 10.x. That will probably solve this issue for you.

christoph_s

2007-01-05 16:40

administrator   ~0014577

Peter, I've found that solution myself a few days ago. Thanks anyway. However, I was unable to fix the issue by follwoing th gs docs and your description in the Scribus file. Is it possible to rewrite this in a way that can be followed by mere mortals, i.e. people who don't know what to do anyway? Just a suggestion, of course.

Issue History

Date Modified Username Field Change
2006-08-22 13:07 christoph_s New Issue
2006-08-22 13:07 christoph_s Status new => assigned
2006-08-22 13:07 christoph_s Assigned To => subik
2006-08-22 13:32 subik Note Added: 0012263
2006-08-22 13:34 christoph_s Note Added: 0012264
2006-08-22 13:36 christoph_s File Added: barcode.eps
2006-08-22 13:36 christoph_s File Added: barcode.ps
2006-08-22 14:04 subik Note Added: 0012265
2006-08-22 14:09 christoph_s Note Added: 0012266
2006-08-22 14:28 subik Note Added: 0012267
2006-08-22 14:32 christoph_s Note Added: 0012268
2006-08-23 13:55 subik File Added: bcode-subik.ps
2006-08-23 13:58 subik Note Added: 0012277
2006-08-23 14:00 subik Note Edited: 0012277
2006-08-23 14:51 christoph_s Note Added: 0012280
2006-08-23 15:13 subik Note Added: 0012281
2006-08-23 16:29 christoph_s Note Added: 0012283
2006-08-23 16:30 christoph_s Note Added: 0012284
2006-08-25 09:03 subik Note Added: 0012301
2006-08-25 15:42 christoph_s Note Added: 0012305
2006-09-04 14:36 plinnell Note Added: 0012430
2006-09-04 14:37 plinnell Note Edited: 0012430
2006-09-20 12:34 subik Note Added: 0012578
2006-09-20 12:34 subik Status assigned => feedback
2006-09-21 16:45 christoph_s Note Added: 0012587
2006-09-21 16:46 christoph_s File Added: Fontmap.GS
2006-10-30 12:20 subik Note Added: 0013188
2006-10-30 21:29 christoph_s Note Added: 0013200
2006-10-31 15:39 plinnell Note Added: 0013211
2007-01-04 01:03 plinnell Status feedback => resolved
2007-01-04 01:03 plinnell Resolution open => unable to reproduce
2007-01-04 09:44 plinnell Status resolved => closed
2007-01-04 09:44 plinnell Note Added: 0014485
2007-01-05 16:37 christoph_s Relationship added has duplicate 0005071
2007-01-05 16:37 christoph_s Relationship replaced related to 0005071
2007-01-05 16:40 christoph_s Status closed => feedback
2007-01-05 16:40 christoph_s Resolution unable to reproduce => reopened
2007-01-05 16:40 christoph_s Note Added: 0014577
2007-01-05 19:50 cbradney Status feedback => assigned
2007-01-05 19:50 cbradney Assigned To subik => plinnell
2007-01-05 22:04 plinnell Status assigned => closed
2007-01-05 22:04 plinnell Resolution reopened => fixed